Operations
All operations require authentication.
List tasksAlpha
Returns the current and recent tasks of the service.
Path parameters
Service ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a taskAlpha
Returns the details and status of the task.
Path parameters
Service ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Provide task inputAlpha
Sends the input a task waits for. For a WordPress import, sends the elements to import: content, users, plugins, themes or the whole database. At least one active theme must be selected.
Path parameters
Service ID
Task ID
Request body (required)
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses serviceId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ managedCMS/ resource/ {serviceId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}